Overview

Retrieve saved query

Retrieve saved query.

GET/v2/apl-starred-queries/{id}
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input1
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
idstring · pathrequired
(path)
Output7
datasetstring
kindstring
One of: apl.
metadataobject
namestring
queryobject
whostring
idstring
Responses
200StarredQueryWithId
Example input
curl 'https://api.axiom.co/v2/apl-starred-queries/{id}' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
{
  "dataset": "string",
  "kind": "apl",
  "metadata": {},
  "name": "string",
  "query": {
    "apl": "string",
    "cursor": "string",
    "defaultLimit": 0,
    "defaultOrder": [
      {
        "desc": false,
        "field": "string"
      }
    ],
    "endTime": "string",
    "includeCursor": false,
    "includeCursorField": false,
    "libraries": [
      "string"
    ],
    "queryOptions": {
      "disableCache": false,
      "disableStats": false,
      "disableTrace": false,
      "maxDataPoints": 0,
      "maxSeries": 0,
      "noAggregation": false,
      "noFill": false,
      "noInterpolation": false,
      "priority": "low",
      "resolution": "string",
      "displayNull": "auto",
      "overlayCharts": "true"
    },
    "startTime": "string",
    "variables": {}
  },
  "who": "string",
  "id": "string"
}

Updated

Was this page helpful?